<?php
/**
 * @file fragment.permissions.inc
 * Contains hooks for permission_grid module.
 */

/**
 * Implements hook_permission_grid_info().
 */
function fragment_permission_grid_info() {
  $return = array(
    'fragment' => array(
      'label' => t('Fragment type'),
      'objects' => array(),
      'verb_groups' => array(
        'core' => array(
          'pattern' => '%verb %object fragments',
          'verbs' => array(
            'create'      => t('Create'),
            'edit own'    => t('Edit own'),
            'edit any'    => t('Edit any'),
            'delete own'  => t('Delete own'),
            'delete any'  => t('Delete any'),
          ),
        ),
      ),
    ),
  );

  $fragment_types = fragment_get_types();
  foreach ($fragment_types as $type => $type_info) {
    $return['fragment']['objects'][$type] = $type_info->label;
  }

  return $return;
}
